### Method

# Pango FontDescription to_filename

#### Declaration [src]

    char*
    pango_font_description_to_filename (
      const PangoFontDescription* desc
    )

#### Description [src]

Creates a filename representation of a font description.

The filename is identical to the result from calling `pango_font_description_to_string()`, but with underscores instead of characters that are untypical in filenames, and in lower case only.

#### Return value

Type: `char*`

A new string that must be freed with g_free().

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.